소스 검색

Added run.sh

This file is responsible for checking after 30 minutes if the backend is running or not, if not it is responsible for starting the backend
rota3015 6 달 전
부모
커밋
055fb04c13
1개의 변경된 파일19개의 추가작업 그리고 0개의 파일을 삭제
  1. 19 0
      run.sh

+ 19 - 0
run.sh

@@ -0,0 +1,19 @@
+#!/bin/bash
+
+while true; do
+    # Check if the Node.js app is running on port 3000
+    if ! lsof -i :3000 > /dev/null; then
+
+        echo "Node.js app is not running on port 3000. Starting it"
+        cd /app/data/public/communityRuleBackend
+        node app.js &
+    else
+        echo "$(lsof -i :3000)"
+        echo "(lsof -i :3000)"
+        echo "Node.js app is already running on port 3000. Nothing to do"
+    fi
+
+    # Sleep for 30 minutes (1800 seconds)
+
+    sleep 1800
+done